Bug 29494 - html-template-to-template-toolkit.pl no longer required
Summary: html-template-to-template-toolkit.pl no longer required
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-16 12:18 UTC by Tomás Cohen Arazi
Modified: 2021-12-22 21:03 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.01,21.05.08


Attachments
Bug 29494: html-template-to-template-toolkit.pl no longer required (11.87 KB, patch)
2021-11-16 12:20 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29494: html-template-to-template-toolkit.pl no longer required (11.91 KB, patch)
2021-11-16 14:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29494: html-template-to-template-toolkit.pl no longer required (11.97 KB, patch)
2021-11-19 14:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-11-16 12:18:23 UTC
This file was used in the transition from HMTL::Template to Template::Toolkit and there's no need to carry it on the current codebase.
Comment 1 Tomás Cohen Arazi 2021-11-16 12:20:45 UTC
Created attachment 127691 [details] [review]
Bug 29494: html-template-to-template-toolkit.pl no longer required

This helper script was used to transition from HTML::Template to
Template::Toolkit, which happened 11 (?) years ago.

The file is part of Koha history, but we don't need it in current
master.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Owen Leonard 2021-11-16 14:57:54 UTC
Created attachment 127696 [details] [review]
Bug 29494: html-template-to-template-toolkit.pl no longer required

This helper script was used to transition from HTML::Template to
Template::Toolkit, which happened 11 (?) years ago.

The file is part of Koha history, but we don't need it in current
master.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-11-19 14:52:47 UTC
Created attachment 127875 [details] [review]
Bug 29494: html-template-to-template-toolkit.pl no longer required

This helper script was used to transition from HTML::Template to
Template::Toolkit, which happened 11 (?) years ago.

The file is part of Koha history, but we don't need it in current
master.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2021-12-02 07:38:45 UTC
Pushed to master for 22.05, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-12-03 15:12:08 UTC
Pushed to 21.11.x for 21.11.01
Comment 6 Andrew Fuerste-Henry 2021-12-17 19:01:46 UTC
Pushed to 21.05.x for 21.05.08
Comment 7 Victor Grousset/tuxayo 2021-12-22 21:03:36 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.